package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 证件类型枚举
 */
@AllArgsConstructor
@Getter
public enum ECardType {

    /**
     * 身份证
     */
    CARD(1, "身份证", 0),

    /**
     * 军官证
     */
    OFFICER(2, "军官证", 0),

    /**
     * 学生证
     */
    STUDENT(3, "学生证", 0),

    /**
     * 驾驶证
     */
    DRIVE(4, "驾驶证", 0),

    /**
     * 护照
     */
    PASSPORT(5, "护照", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    public static String getCardType(int value) {
        for (ECardType eCardType : ECardType.values()) {
            if (eCardType.getValue() == value) {
                return eCardType.getLabel();
            }
        }
        return null;
    }

}
